オブジェクト
WebhookEndpoint
フィールド
idinteger必須urlstring必須descriptionstring必須activeboolean必須paused_atstring (date-time) | nullpaused_reasonstring | nullfailures:10回連続で配信試行が失敗した。feature_disabled:プランにWebhookが含まれていない。disabled_reasonstring | nullgone:受信サーバーが410を返した。manual:管理者が無効にした。指定できる値:
gonemanualnulldisabled_atstring (date-time) | nulldata_profile_idinteger | nullWebhookのデータプロファイル(
nullはプロファイルなしを意味し、同じロールのAPIキーと同じ扱いです)。collection_idsarray of integer必須Webhookがイベントを受け取る対象のコレクション。空の場合は、ロールとデータプロファイルで利用できるすべてのコレクション。
tagsarray of string必須これらのタグのいずれかを持つカードについてのカードイベントのみ。空の場合はフィルターなし。
auth_typestring | null送信時の認可の種類(
nullはなしを意味します)。指定できる値:
bearerbasicnullauth_setboolean必須送信時の認可が設定されているかどうか(値は返されません)。
previous_secret_valid_untilstring (date-time) | null配信が以前のシークレットでも署名される期限(
nullは並行期間がないことを意味します)。healthWebhookHealthconsecutive_failuresinteger必須last_delivery_atstring (date-time) | nulllast_success_atstring (date-time) | nulllast_errorstring | nullcreated_byinteger | nullcreated_by_namestring | nullcreated_atstring (date-time)必須updated_atstring (date-time)必須
使用箇所
- GET
/v1/webhooks/{webhook_id}Webhookを取得する - PATCH
/v1/webhooks/{webhook_id}Webhookを更新する - POST
/v1/webhooks/{webhook_id}/revoke-previous-secret以前のシークレットを取り消す - POST
/v1/webhooks/{webhook_id}/resumeWebhookを再開する